Attribution endpoints
GET /api/v1/projects/{project_id}/attribution
Section titled “GET /api/v1/projects/{project_id}/attribution”Read Attribution
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
group_by |
query | "metadata" | "trace_name" | "user" | "release" |
yes | |
key |
query | string or null | no | pattern ^[a-z0-9_.-]{1,64}$ |
environment |
query | string or null | no | max length 64, pattern ^[^\x00]*$ |
sort |
query | "cost" | "calls" | "errors" | "retry_cost" |
no | Default "cost". |
limit |
query | integer | no | min 1, max 200 Default 50. |
cursor |
query | string or null | no | |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: AttributionOut |
| 422 | Validation Error | application/json: HTTPValidationError |